Bug 191799 - LTC23815-FC5 May1 goes to xmon during nfs install
LTC23815-FC5 May1 goes to xmon during nfs install
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 17:01 EDT by IBM Bug Proxy
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 20:53:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2006-05-15 17:01:34 EDT
LTC Owner is: csiddali@in.ibm.com
LTC Originator is: shaowu@us.ibm.com


Problem description:
We boot system leto.upt.austin.ibm.com from CD (boot.iso), then do network nfs
install. Everything works normal until puting the nfs server ip and install 
directory. It hangs for a while (1 or 2 hours), and finally goes to xmon. 
another system medusalp1 does not have this kind of problem.

Hardware Environment
    Machine type (p650, x235, SF2, etc.): 9113-550
    Cpu type (Power4, Power5, IA-64, etc.): power5

Is this reproducible?  Yes.
    If so, how long does it (did it) take to reproduce it? 30 minutes.
    Describe the steps:
    1. reboot the system from fsp-leto,
    2. go to SMS, then select IDE CD install, or network install for eth0
    3. select NFS network isntall. 

Is the system (not just the application) hung? Yes.
    If so, describe how you determined this:  it goes to xmon

Is the system sitting in a debugger right now? Yes.


Additional information:
1:mon> e
cpu 0x1: Vector: 300 (Data Access) at [c00000000fff3ae0]
    pc: c00000000021e93c: .hvsi_interrupt+0x198/0x4dc
    lr: c00000000021e804: .hvsi_interrupt+0x60/0x4dc
    sp: c00000000fff3d60
   msr: 8000000000001032
   dar: 128
 dsisr: 40000000
  current = 0xc000000073f96000
  paca    = 0xc00000000045e300
    pid   = 0, comm = swapper
1:mon> r
R00 = 0000000000000040   R16 = 0000000000000000
R01 = c00000000fff3d60   R17 = 0000000000000000
R02 = c000000000576058   R18 = 0000000000000000
R03 = 000000000000000a   R19 = 0000000000000000
R04 = 000000000000000a   R20 = 0000000000000000
R05 = 00000000000000fe   R21 = 0000000000000000
R06 = 0001000000000000   R22 = 8000000000001032
R07 = 0000000000000000   R23 = 0000000000000000
R08 = c00000000fff3cc0   R24 = c0000000005ec560
R09 = 0000000000000000   R25 = c0000000005ec4a8
R10 = c0000000005ec568   R26 = c000000073fbfb50
R11 = 80000000001372e8   R27 = 0000000000000000
R12 = 0000000000004000   R28 = c0000000005ec398
R13 = c00000000045e300   R29 = 0000000000000000
R14 = 0000000000000000   R30 = c0000000004e2390
R15 = 0000000007a852ec   R31 = c0000000005ec560
pc  = c00000000021e93c .hvsi_interrupt+0x198/0x4dc
lr  = c00000000021e804 .hvsi_interrupt+0x60/0x4dc
msr = 8000000000001032   cr  = 28000042
ctr = 80000000001372e8   xer = 000000000000000a   trap =  300
dar = 0000000000000128   dsisr = 40000000
1:mon> di c00000000021e93c
c00000000021e93c  e81b0128      ld      r0,296(r27)
c00000000021e940  780b8fe3      rldicl. r11,r0,49,63
c00000000021e944  40a20180      bne     c00000000021eac4        
# .hvsi_interrupt+0x320/0x4dc
c00000000021e948  881f0001      lbz     r0,1(r31)
c00000000021e94c  3b400000      li      r26,0
c00000000021e950  4800001c      b       c00000000021e96c        
# .hvsi_interrupt+0x1c8/0x4dc
c00000000021e954  881c02f6      lbz     r0,758(r28)
c00000000021e958  2f800000      cmpwi   cr7,r0,0
c00000000021e95c  419e0168      beq     cr7,c00000000021eac4    
# .hvsi_interrupt+0x320/0x4dc
c00000000021e960  881f0001      lbz     r0,1(r31)
c00000000021e964  7f9ae378      mr      r26,r28
c00000000021e968  3b600000      li      r27,0
c00000000021e96c  7fff0214      add     r31,r31,r0
c00000000021e970  4800018c      b       c00000000021eafc        
# .hvsi_interrupt+0x358/0x4dc
c00000000021e974  e89c012a      lwa     r4,296(r28)
c00000000021e978  e87e8098      ld      r3,-32616(r30)
1:mon> t
[c00000000fff3e30] c000000000092454 .handle_IRQ_event+0x7c/0xf8
[c00000000fff3ee0] c00000000009264c .__do_IRQ+0x17c/0x23c
[c00000000fff3f90] c000000000025628 .call___do_IRQ+0x14/0x24
[c000000073fbfa50] c00000000000bd7c .do_IRQ+0xcc/0x148
[c000000073fbfae0] c0000000000041ec hardware_interrupt_entry+0xc/0x10
--- Exception: 501 (Hardware Interrupt) at 
c000000000042330 .plpar_hcall_norets+0x10/0x1c
[link register   ] c0000000000436f8 .pseries_dedicated_idle_sleep+0x1a0/0x1e8
[c000000073fbfdd0] 0000000073fbfe80 (unreliable)
[c000000073fbfe80] c000000000011060 .cpu_idle+0x10c/0x1e0
[c000000073fbff00] c000000000028c34 .start_secondary+0x144/0x168
[c000000073fbff90] c0000000000083bc .start_secondary_prolog+0xc/0x10
1:mon>


With latest GA7 sp1 firmware, and COD applied. The system goes to xmon as 
before.


I used kernel-2.6.16-1.2202_FC6.src.rpm to look at the dis-assembly. 
From the dis-assembly ...

1:mon> di c00000000021e93c
c00000000021e93c  e81b0128      ld      r0,296(r27)
c00000000021e940  780b8fe3      rldicl. r11,r0,49,63
c00000000021e944  40a20180      bne     c00000000021eac4        

Looks like were executing the following line ...

static void hvsi_recv_control(struct hvsi_struct *hp....... )
{
...
 switch (header->verb) {
      case VSV_MODEM_CTL_UPDATE:
          if ((header->word & HVSI_TSCD) == 0) {
          /* CD went away; no more connection */
          pr_debug("hvsi%i: CD dropped\n", hp->index);
          hp->mctrl &= TIOCM_CD;
          if (!(hp->tty->flags & CLOCAL))  <<<<<<--------- here 
             *to_hangup = hp->tty;
Comment 1 IBM Bug Proxy 2006-06-06 03:17:26 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
            Version|FC5                         |devel




------- Additional Comments From shenlinf@cn.ibm.com  2006-06-06 03:19 EDT -------
I am changing the version to 'devel' to properly reflect that this recreates on
rawhide. 
Comment 2 Bastien Nocera 2006-08-05 09:30:33 EDT
This probably shouldn't be in intltool's queue.
Comment 3 Dave Jones 2006-10-16 14:32:22 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 IBM Bug Proxy 2006-11-14 00:26:11 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEEDINFO                    |OPEN




------- Additional Comments From csiddali@in.ibm.com  2006-11-14 00:20 EDT -------
I am going ahead to close this bug as 'fix_by_distro'. Pls re-open the bug if
the problem still appears on the latest FC. Thanks. 

Note You need to log in before you can comment on or make changes to this bug.